/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.games.editorui;

import gabien.IGrInDriver;
import gabien.ui.UIElement;
import javachan.games.EditorGame;

/**
 *
 * @author matt
 */
public class UINumberBox extends UIElement {
    public int number=0;
    public boolean readOnly=false;
    public Runnable onEdit=new Runnable(){

        @Override
        public void run() {
            //do nothing-this is one of those boxes that just sits there.
        }
    };
    @Override
    public void updateAndRender(int ox, int oy, double DeltaTime, boolean selected, IGrInDriver igd) {
        if (selected&&(!readOnly))
        {
            ox+=4;
            int NNum=number;
                String ss=igd.getTypeBuffer();
                if (ss.length()>0)
                {
                    System.out.println(ss);
                    char c=ss.charAt(0);
                    if ((c>='0')&&(c<='9'))
                    {
                        NNum*=10;
                        NNum+=c-'0';
                    }
                }
                igd.setTypeBuffer("");
                if (igd.isKeyJustPressed(IGrInDriver.VK_BACK_SPACE))
                {
                    NNum=0;
                }
            int ONum=number;
            number=NNum;
            if (NNum!=ONum)
            {
            onEdit.run();
            }
        }
        EditorGame.displayNumber(number, ox, oy, igd, igd.getImage("TileEditor.png", 0, 0, 0));
    }

    @Override
    public void handleClick(int x, int y,int button) {
    }
    
}
