/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.music;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

import gabien.ISoundDriver;

public class PiyoPiyoWaveTrack {
    //These should be stored as bytes, but everything is signed
    public int[] waveForm=new int[256];
    public int[] envelope=new int[64];
    public int volume,length,octave,icon;
    public PiyoPiyoWaveTrack()
    {
    }
    public void read(InputStream is) throws IOException {
        octave=PiyoPiyoFile.read8(is);
        icon=PiyoPiyoFile.read8(is);
        PiyoPiyoFile.read8(is);
        PiyoPiyoFile.read8(is);
        length=PiyoPiyoFile.read32(is);
        volume=PiyoPiyoFile.read32(is);
        PiyoPiyoFile.read32(is);
        PiyoPiyoFile.read32(is);
        PiyoPiyoFile.readArray(is, waveForm);
        PiyoPiyoFile.readArray(is, envelope);
    }
}
