/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.npcs;

import javachan.GameState;
import javachan.GameStateNPChar;
import gabien.IGrInDriver;
import gabien.IGrInDriver.IImage;

/**
 *
 * @author matt
 */
public class GlobefishNPCType extends BasicNPCType {
    
    @Override
    public void Draw(int px,int py,double Time,GameStateNPChar.NPCCharacter In,GameState gs,IGrInDriver graphics)
    {
        IImage npci=graphics.getImage("Pbm/Hari.pbm", 0, 0, 0);
        int ox=0;
        int oy=0;
        int ww=16;
        int hh=16;
        int xx=0;
        int yy=0;
        if (npci==null)
        {
            System.out.println("MISSING IMAGE FOR ("+getClass().getName()+")");
        } else{
            graphics.blitBCKImage(xx, yy, ww, hh, (int) (In.posX * 16) + px + ox, (int) (In.posY * 16) + py + oy, npci);
        }
    }
    @Override
    protected int touchDamage()
    {
        return 0;
    }
    @Override
    protected int levelToHurt()
    {
        return 0;
    }
    @Override
    protected int rewardXP()
    {
        return 3;
    }
}
